#include <fstream>

using namespace std;

long long Q(long long n)
{
	if (n > 1)
		return (n % 2 == 0) ? - n + Q(n - 1) : n + Q(n - 1);
	else
		return 1;
}

long long T(long long n)
{
	long long res = 0;
	long long temp = 1;
	for (int i = 1; i <= n; i++)
	{
		temp *= i;
		res += temp;
	}
	return res;
}


int main()
{
	ifstream input("DQQT.inp");
	ofstream output("DQQT.out");
	long long n;
	input >> n;
	output << Q(n) << '\n' << T(n);
	input.close();
	output.close();
	return 0;
}
